Documents
4 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.
Every request needs payments-api-key and payments-account.
/v1/documentsList all Documents
Returns a list of Documents. The Documents are sorted with the most recently created appearing first.
Query parameters
statusstring (requested | submitted | rejected | verified)optionaloffsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200PaginatedDto | object
has_morebooleanrequiredWhether or not there are more elements available after this set. If
false, this set comprises the end of the list.limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
totalnumberoptionalThe total items count.
itemsarray of DocumentDtorequired
/v1/documents/{id}Get a Document
Retrieves the details of an existing Document.
Path parameters
idstringrequiredThe id of the document to be retrieved.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200DocumentDto
account_idstringrequiredThe ID of the account owning the document.
created_atstring date-timerequiredTime at which the object was created.
file_idstringoptionalThe file ID of an uploaded [File](#tag/Files) for the document, of type
onboarding_documentationfile_idsarray of stringoptionalThe list of file IDs of uploaded [File(s)](#tag/Files) for the document, of type
onboarding_documentationidstringrequiredUnique identifier for the object.
metadataobjectoptionalSet of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value (i.e.
''ornull) to them. All keys can be unset by posting an empty value (i.e.{}ornull) tometadata.processor_deliveryProcessorDeliveryDtooptionalProcessor delivery is independent of the local document status.
rejected_reasonstring (blurry | corrupt | invalid | scanned | incomplete | damaged | not_needed)optionalThe reason for rejection of the document, if applicable
request_notesstringoptionalAdditional notes for the request of a document, offering extra context
respond_bystring date-timerequiredTime at which the document request needs to be responded to.
statusstring (requested | submitted | rejected | verified)requiredThe status of the document
submitted_atstring date-timerequiredTime at which the object was submitted.
subtypestring (bank_letter_voided_check | ein_letter | articles_of_incorp | business_license | utility_bill | processing_statement | financial_statement | 501c3 | …)requiredThe subtype of the document
typestring (file | written)requiredThe type of the document
updated_atstring date-timerequiredTime at which the object was last updated.
written_responsestringoptionalWritten response to a document that has been requested, alternative to a [File](#tag/Files)
/v1/documents/{id}/submitSubmit a Document
Submits a Document.
Path parameters
idstringrequiredThe id of the document to be updated.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Request body application/jsonrequired
file_idstringoptionalThe file ID of an uploaded [File](#tag/Files) for the document. File type must be
onboarding_documentation. Required when document type isfilefile_idsarray of stringoptionalThe list of file IDs of uploaded [File(s)](#tag/Files) for the document, of type
onboarding_documentationwritten_responsestringoptionalWritten response to a document that has been requested, alternative to a [File](#tag/Files). Required when document type is
written
Submit document with multiple files
{
"file_ids": [
"file_id1",
"file_id2"
]
}Submit document with written response
{
"written_response": "This is a written response"
}Responses
201DocumentDto
account_idstringrequiredThe ID of the account owning the document.
created_atstring date-timerequiredTime at which the object was created.
file_idstringoptionalThe file ID of an uploaded [File](#tag/Files) for the document, of type
onboarding_documentationfile_idsarray of stringoptionalThe list of file IDs of uploaded [File(s)](#tag/Files) for the document, of type
onboarding_documentationidstringrequiredUnique identifier for the object.
metadataobjectoptionalSet of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value (i.e.
''ornull) to them. All keys can be unset by posting an empty value (i.e.{}ornull) tometadata.processor_deliveryProcessorDeliveryDtooptionalProcessor delivery is independent of the local document status.
rejected_reasonstring (blurry | corrupt | invalid | scanned | incomplete | damaged | not_needed)optionalThe reason for rejection of the document, if applicable
request_notesstringoptionalAdditional notes for the request of a document, offering extra context
respond_bystring date-timerequiredTime at which the document request needs to be responded to.
statusstring (requested | submitted | rejected | verified)requiredThe status of the document
submitted_atstring date-timerequiredTime at which the object was submitted.
subtypestring (bank_letter_voided_check | ein_letter | articles_of_incorp | business_license | utility_bill | processing_statement | financial_statement | 501c3 | …)requiredThe subtype of the document
typestring (file | written)requiredThe type of the document
updated_atstring date-timerequiredTime at which the object was last updated.
written_responsestringoptionalWritten response to a document that has been requested, alternative to a [File](#tag/Files)
/v1/documents/bulk-submitBulk Submit Documents
Submit multiple Documents at once.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Request body application/jsonrequired
submissionsarray of BulkDocumentSubmissionrequireddocument_idstringrequiredThe ID of a document to submit
submission_dataDocumentSubmitRequestParamsrequired
Responses
201BulkDocumentSubmitResponse
submissionsarray of BulkDocumentSubmissionResponserequired
